Package com.sap.ai.sdk.core.model

# Class AiConfiguration

java.lang.Object
com.sap.ai.sdk.core.model.AiConfiguration

public class AiConfiguration extends Object
AiConfiguration

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `AiConfiguration.Builder`
  Builder helper class.
  `static interface`
  `AiConfiguration.Builder1`
  Builder helper class.
  `static interface`
  `AiConfiguration.Builder2`
  Builder helper class.
  `static interface`
  `AiConfiguration.Builder3`
  Builder helper class.
  `static interface`
  `AiConfiguration.Builder4`
  Builder helper class.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AiConfiguration()`
  Default constructor for AiConfiguration.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AiConfiguration`
  `addInputArtifactBindingsItem(AiArtifactArgumentBinding inputArtifactBindingsItem)`
  Add one inputArtifactBindings instance to this `AiConfiguration`.
  `AiConfiguration`
  `addParameterBindingsItem(AiParameterArgumentBinding parameterBindingsItem)`
  Add one parameterBindings instance to this `AiConfiguration`.
  `static AiConfiguration.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `AiConfiguration` instance with all required arguments.
  `AiConfiguration`
  `createdAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiConfiguration` instance and return the same instance.
  `boolean`
  `equals(Object o)`
  `AiConfiguration`
  `executableId(String executableId)`
  Set the executableId of this `AiConfiguration` instance and return the same instance.
  `OffsetDateTime`
  `getCreatedAt()`
  Timestamp of resource creation
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `AiConfiguration`.
  `String`
  `getExecutableId()`
  ID of the executable
  `String`
  `getId()`
  ID of the configuration
  `List<AiArtifactArgumentBinding>`
  `getInputArtifactBindings()`
  Get inputArtifactBindings
  `String`
  `getName()`
  Name of the configuration
  `List<AiParameterArgumentBinding>`
  `getParameterBindings()`
  Get parameterBindings
  `AiScenario`
  `getScenario()`
  Get scenario
  `String`
  `getScenarioId()`
  ID of the scenario
  `int`
  `hashCode()`
  `AiConfiguration`
  `id(String id)`
  Set the id of this `AiConfiguration` instance and return the same instance.
  `AiConfiguration`
  `inputArtifactBindings(List<AiArtifactArgumentBinding> inputArtifactBindings)`
  Set the inputArtifactBindings of this `AiConfiguration` instance and return the same instance.
  `AiConfiguration`
  `name(String name)`
  Set the name of this `AiConfiguration` instance and return the same instance.
  `AiConfiguration`
  `parameterBindings(List<AiParameterArgumentBinding> parameterBindings)`
  Set the parameterBindings of this `AiConfiguration` instance and return the same instance.
  `AiConfiguration`
  `scenario(AiScenario scenario)`
  Set the scenario of this `AiConfiguration` instance and return the same instance.
  `AiConfiguration`
  `scenarioId(String scenarioId)`
  Set the scenarioId of this `AiConfiguration` instance and return the same instance.
  `void`
  `setCreatedAt(OffsetDateTime createdAt)`
  Set the createdAt of this `AiConfiguration` instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `AiConfiguration` instance.
  `void`
  `setExecutableId(String executableId)`
  Set the executableId of this `AiConfiguration` instance.
  `void`
  `setId(String id)`
  Set the id of this `AiConfiguration` instance.
  `void`
  `setInputArtifactBindings(List<AiArtifactArgumentBinding> inputArtifactBindings)`
  Set the inputArtifactBindings of this `AiConfiguration` instance.
  `void`
  `setName(String name)`
  Set the name of this `AiConfiguration` instance.
  `void`
  `setParameterBindings(List<AiParameterArgumentBinding> parameterBindings)`
  Set the parameterBindings of this `AiConfiguration` instance.
  `void`
  `setScenario(AiScenario scenario)`
  Set the scenario of this `AiConfiguration` instance.
  `void`
  `setScenarioId(String scenarioId)`
  Set the scenarioId of this `AiConfiguration` instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `AiConfiguration` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### AiConfiguration

    protected AiConfiguration()
    Default constructor for AiConfiguration.

- ## Method Details

  - ### name

    @Nonnull public AiConfiguration name(@Nonnull String name)
    Set the name of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `name` - Name of the configuration
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getName

    @Nonnull public String getName()
    Name of the configuration
    Returns:
      name The name of this `AiConfiguration` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `AiConfiguration` instance.
    Parameters:
      `name` - Name of the configuration

  - ### executableId

    @Nonnull public AiConfiguration executableId(@Nonnull String executableId)
    Set the executableId of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `executableId` - ID of the executable
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getExecutableId

    @Nonnull public String getExecutableId()
    ID of the executable
    Returns:
      executableId The executableId of this `AiConfiguration` instance.

  - ### setExecutableId

    public void setExecutableId(@Nonnull String executableId)
    Set the executableId of this `AiConfiguration` instance.
    Parameters:
      `executableId` - ID of the executable

  - ### scenarioId

    @Nonnull public AiConfiguration scenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `scenarioId` - ID of the scenario
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getScenarioId

    @Nonnull public String getScenarioId()
    ID of the scenario
    Returns:
      scenarioId The scenarioId of this `AiConfiguration` instance.

  - ### setScenarioId

    public void setScenarioId(@Nonnull String scenarioId)
    Set the scenarioId of this `AiConfiguration` instance.
    Parameters:
      `scenarioId` - ID of the scenario

  - ### parameterBindings

    @Nonnull public AiConfiguration parameterBindings(@Nullable List<AiParameterArgumentBinding> parameterBindings)
    Set the parameterBindings of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `parameterBindings` - The parameterBindings of this `AiConfiguration`
    Returns:
      The same instance of this `AiConfiguration` class

  - ### addParameterBindingsItem

    @Nonnull public AiConfiguration addParameterBindingsItem(@Nonnull AiParameterArgumentBinding parameterBindingsItem)
    Add one parameterBindings instance to this `AiConfiguration`.
    Parameters:
      `parameterBindingsItem` - The parameterBindings that should be added
    Returns:
      The same instance of type `AiConfiguration`

  - ### getParameterBindings

    @Nonnull public List<AiParameterArgumentBinding> getParameterBindings()
    Get parameterBindings
    Returns:
      parameterBindings The parameterBindings of this `AiConfiguration` instance.

  - ### setParameterBindings

    public void setParameterBindings(@Nullable List<AiParameterArgumentBinding> parameterBindings)
    Set the parameterBindings of this `AiConfiguration` instance.
    Parameters:
      `parameterBindings` - The parameterBindings of this `AiConfiguration`

  - ### inputArtifactBindings

    @Nonnull public AiConfiguration inputArtifactBindings(@Nullable List<AiArtifactArgumentBinding> inputArtifactBindings)
    Set the inputArtifactBindings of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `inputArtifactBindings` - The inputArtifactBindings of this `AiConfiguration`
    Returns:
      The same instance of this `AiConfiguration` class

  - ### addInputArtifactBindingsItem

    @Nonnull public AiConfiguration addInputArtifactBindingsItem(@Nonnull AiArtifactArgumentBinding inputArtifactBindingsItem)
    Add one inputArtifactBindings instance to this `AiConfiguration`.
    Parameters:
      `inputArtifactBindingsItem` - The inputArtifactBindings that should be added
    Returns:
      The same instance of type `AiConfiguration`

  - ### getInputArtifactBindings

    @Nonnull public List<AiArtifactArgumentBinding> getInputArtifactBindings()
    Get inputArtifactBindings
    Returns:
      inputArtifactBindings The inputArtifactBindings of this `AiConfiguration` instance.

  - ### setInputArtifactBindings

    public void setInputArtifactBindings(@Nullable List<AiArtifactArgumentBinding> inputArtifactBindings)
    Set the inputArtifactBindings of this `AiConfiguration` instance.
    Parameters:
      `inputArtifactBindings` - The inputArtifactBindings of this `AiConfiguration`

  - ### id

    @Nonnull public AiConfiguration id(@Nonnull String id)
    Set the id of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `id` - ID of the configuration
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getId

    @Nonnull public String getId()
    ID of the configuration
    Returns:
      id The id of this `AiConfiguration` instance.

  - ### setId

    public void setId(@Nonnull String id)
    Set the id of this `AiConfiguration` instance.
    Parameters:
      `id` - ID of the configuration

  - ### createdAt

    @Nonnull public AiConfiguration createdAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `createdAt` - Timestamp of resource creation
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getCreatedAt

    @Nonnull public OffsetDateTime getCreatedAt()
    Timestamp of resource creation
    Returns:
      createdAt The createdAt of this `AiConfiguration` instance.

  - ### setCreatedAt

    public void setCreatedAt(@Nonnull OffsetDateTime createdAt)
    Set the createdAt of this `AiConfiguration` instance.
    Parameters:
      `createdAt` - Timestamp of resource creation

  - ### scenario

    @Nonnull public AiConfiguration scenario(@Nullable AiScenario scenario)
    Set the scenario of this `AiConfiguration` instance and return the same instance.
    Parameters:
      `scenario` - The scenario of this `AiConfiguration`
    Returns:
      The same instance of this `AiConfiguration` class

  - ### getScenario

    @Nullable public AiScenario getScenario()
    Get scenario
    Returns:
      scenario The scenario of this `AiConfiguration` instance.

  - ### setScenario

    public void setScenario(@Nullable AiScenario scenario)
    Set the scenario of this `AiConfiguration` instance.
    Parameters:
      `scenario` - The scenario of this `AiConfiguration`

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `AiConfiguration`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `AiConfiguration` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `AiConfiguration` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `AiConfiguration` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static AiConfiguration.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `AiConfiguration` instance with all required arguments.